Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon
Class TextEditor

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--swing.addon.TextEditor

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Direct Known Subclasses:
  JavaEditor

public class TextEditor
extends javax.swing.JPanel

See Also:
  Serialized Form

Inner Class Summary
`class` | `TextEditor.AutoIndentAction1`
`class` | `TextEditor.AutoIndentAction2`
`class` | `TextEditor.PrefsAction`
`class` | `TextEditor.RedoAction`
`class` | `TextEditor.SortDecreasingAction`
`class` | `TextEditor.SortIncreasingAction`
`class` | `TextEditor.UndoAction`

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected EditorPane` | `editor`
`protected javax.swing.JScrollPane` | `scroller`
`java.lang.Object` | `userData`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`TextEditor()`

Method Summary
`void` | `addAction(javax.swing.Action action)`
`void` | `addActions(javax.swing.Action[] actions)`
`javax.swing.Action` | `getAction(java.lang.String text)`
`javax.swing.Action[]` | `getActions()`
`int` | `getCaretPosition()`
`ToolBar` | `getDefaultToolBar()`
`javax.swing.text.Document` | `getDocument()`
`javax.swing.text.EditorKit` | `getEditorKit()`
`static java.util.Hashtable` | `getKeyStrokes()`
`java.lang.String` | `getSelectedText()`
`int` | `getSelectionEnd()`
`int` | `getSelectionStart()`
`static int` | `getTabWidth()`
`java.lang.String` | `getText()`
`java.lang.String` | `getText(int offset, int len)`
`javax.swing.text.JTextComponent` | `getTextComponent()`
`ToolBar` | `getToolBar()`
`java.awt.Point` | `getViewPosition()`
`void` | `insertText(java.lang.String text)`
`static boolean` | `isUsingFixedFont()`
`void` | `replaceSelection(java.lang.String text)`
`void` | `requestFocus()`
`void` | `select(int start, int end)`
`void` | `setCaretPosition(int value)`
`void` | `setDocument(javax.swing.text.Document d)`
`void` | `setEditable(boolean bool)`
`void` | `setEnabled(boolean arg0)`
`void` | `setFont(java.awt.Font f)`
`static void` | `setKeyStrokes(java.util.Hashtable data)`
`static void` | `setTabWidth(int w)`
`void` | `setText(java.lang.String text)`
`void` | `setToolBar(ToolBar t)`
`static void` | `setUseFixedFont(boolean bool)`
`void` | `setViewPosition(java.awt.Point value)`
`java.lang.String` | `toString()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userData

    public java.lang.Object userData

### editor

    protected EditorPane editor

### scroller

    protected javax.swing.JScrollPane scroller

Constructor Detail

### TextEditor

    public TextEditor()

Method Detail

### addAction

    public void addAction(javax.swing.Action action)

### addActions

    public void addActions(javax.swing.Action[] actions)

### getAction

    public javax.swing.Action getAction(java.lang.String text)

### getActions

    public javax.swing.Action[] getActions()

### getCaretPosition

    public int getCaretPosition()

### getDefaultToolBar

    public ToolBar getDefaultToolBar()

### getDocument

    public javax.swing.text.Document getDocument()

### getEditorKit

    public javax.swing.text.EditorKit getEditorKit()

### getKeyStrokes

    public static java.util.Hashtable getKeyStrokes()

### getSelectedText

    public java.lang.String getSelectedText()

### getSelectionEnd

    public int getSelectionEnd()

### getSelectionStart

    public int getSelectionStart()

### getTabWidth

    public static int getTabWidth()

### getText

    public java.lang.String getText()

### getText

    public java.lang.String getText(int offset,
                                    int len)

### getTextComponent

    public javax.swing.text.JTextComponent getTextComponent()

### getToolBar

    public ToolBar getToolBar()

### getViewPosition

    public java.awt.Point getViewPosition()

### insertText

    public void insertText(java.lang.String text)

### isUsingFixedFont

    public static boolean isUsingFixedFont()

### replaceSelection

    public void replaceSelection(java.lang.String text)

### requestFocus

    public void requestFocus()

  Overrides:
    `requestFocus` in class `javax.swing.JComponent`

### select

    public void select(int start,
                       int end)

### setCaretPosition

    public void setCaretPosition(int value)

### setDocument

    public void setDocument(javax.swing.text.Document d)

### setEditable

    public void setEditable(boolean bool)

### setEnabled

    public void setEnabled(boolean arg0)

  Overrides:
    `setEnabled` in class `javax.swing.JComponent`

### setFont

    public void setFont(java.awt.Font f)

  Overrides:
    `setFont` in class `javax.swing.JComponent`

### setKeyStrokes

    public static void setKeyStrokes(java.util.Hashtable data)

### setTabWidth

    public static void setTabWidth(int w)

### setText

    public void setText(java.lang.String text)

### setToolBar

    public void setToolBar(ToolBar t)

### setUseFixedFont

    public static void setUseFixedFont(boolean bool)

### setViewPosition

    public void setViewPosition(java.awt.Point value)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.awt.Component`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD